package nl.kallestruik.dlib.config.data

import kotlinx.serialization.Serializable

@Serializable
data class ConfigDisplaySettings(
    val type: ConfigDisplayType = ConfigDisplayType.DEFAULT,
    val materialField: String? = null,
    val staticMaterial: String? = null,
    val amountField: String? = null,
    val staticAmount: Int? = null,
    val inventorySize: Int? = null,
)

enum class ConfigDisplayType {
    DEFAULT,
    CHECKLIST,
    ITEM,
    INVENTORY,
}
